Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config
Class JposConfigException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--jpos.JposException
                        |
                        +--jpos.config.JposConfigException

All Implemented Interfaces:
  java.io.Serializable

public class JposConfigException
extends jpos.JposException

Defines an Exception class for JCL config related classes/interfaces and implementing classes

Since:
  2.0.0
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Fields inherited from class jpos.JposException
`errorCode, errorCodeExtended`

Constructor Summary
`JposConfigException(java.lang.String description)` Creates a JposConfigException with the description passed
`JposConfigException(java.lang.String description, java.lang.Exception origException)` Creates a JposConfigException with the description passed and the original exception that caused this one

Methods inherited from class jpos.JposException
`getErrorCode, getErrorCodeExtended, getOrigException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JposConfigException

    public JposConfigException(java.lang.String description)

  Creates a JposConfigException with the description passed
  Parameters:
    `description` - the description String

### JposConfigException

    public JposConfigException(java.lang.String description,
                               java.lang.Exception origException)

  Creates a JposConfigException with the description passed and the original exception that caused this one
  Parameters:
    `description` - the description String
    `origException` - the exception that originally caused this one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details